Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Class MsgDataElementImpl

    java.lang.Object
      |
      +--org.eclipse.hyades.logging.events.MsgDataElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, IMsgDataElement, java.io.Serializable

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public class MsgDataElementImpl
extends java.lang.Object
implements IMsgDataElement, java.io.Serializable, java.lang.Cloneable

Taken from "Canonical Situation Data Format: The Common Base Event V1.0.1 ACAB.BO0301.0.1" This MsgDataElement represents the data that is used to specify all of the related information that is associated with the message that this event holds.

Since:
  1.0
Version:
  1.0.1
Author:
  rduggan
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `msgCatalog` Deprecated.
`protected java.lang.String` | `msgCatalogId` Deprecated.
`protected java.util.ArrayList` | `msgCatalogTokens` Deprecated.
`protected java.lang.String` | `msgCatalogType` Deprecated.
`protected java.lang.String` | `msgId` Deprecated. Fields.
`protected java.lang.String` | `msgIdType` Deprecated.
`protected java.lang.String` | `msgLocale` Deprecated.

Constructor Summary
`protected` | `MsgDataElementImpl()` Deprecated. Constructor for MsgDataElementImpl.

Method Summary
`void` | `addMsgCatalogToken(IMsgCatalogToken value)` Deprecated. Adds a new MsgCatalogToken to this object.
`IMsgCatalogToken` | `addMsgCatalogTokenAsString(java.lang.String value)` Deprecated. Adds a new MsgCatalogToken to this object.
`void` | `clearMsgCatalogTokens()` Deprecated. Removes all IMsgCatalogToken that this event is referencing
`java.lang.Object` | `clone()` Deprecated. return a cloned (copy by value) object.
`boolean` | `equals(java.lang.Object obj)` Deprecated. Determines is two different objects are equal.
`java.lang.String` | `getMsgCatalog()` Deprecated. Returns the msgCatalog The qualified name of the message catalog that contains the translated message specified by the msgCatalogId.
`java.lang.String` | `getMsgCatalogId()` Deprecated. Returns the msgCatalogId.
`java.util.List` | `getMsgCatalogTokens()` Deprecated. Returns the msgCatalogTokens.
`java.lang.String[]` | `getMsgCatalogTokensAsStrings()` Deprecated. Returns the msgCatalogTokens.
`java.lang.String` | `getMsgCatalogType()` Deprecated. Returns the msgCatalogType.
`java.lang.String` | `getMsgId()` Deprecated. Returns the msgId.
`java.lang.String` | `getMsgIdType()` Deprecated. Returns the msgIdType.
`java.lang.String` | `getMsgLocale()` Deprecated. Returns the msgLocale.
`void` | `init()` Deprecated. Resets the object's properties to their initial (e.g. null) state.
`void` | `setMsgCatalog(java.lang.String msgCatalog)` Deprecated. Sets the msgCatalog.
`void` | `setMsgCatalogId(java.lang.String msgCatalogId)` Deprecated. Sets the msgCatalogId.
`void` | `setMsgCatalogTokens(IMsgCatalogToken[] msgCatalogTokenArray)` Deprecated. Sets the msgCatalogTokens.
`void` | `setMsgCatalogTokensAsStrings(java.lang.String[] msgCatalogTokenArray)` Deprecated. Sets the msgCatalogTokens.
`void` | `setMsgCatalogType(java.lang.String msgCatalogType)` Deprecated. Sets the msgCatalogType.
`void` | `setMsgId(java.lang.String msgId)` Deprecated. Sets the msgId.
`void` | `setMsgIdType(java.lang.String msgIdType)` Deprecated. Sets the msgIdType.
`void` | `setMsgLocale(java.lang.String msgLocale)` Deprecated. Sets the msgLocale.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### msgId

    protected java.lang.String msgId

  Deprecated.
  Fields.

### msgIdType

    protected java.lang.String msgIdType

  Deprecated.

### msgCatalogId

    protected java.lang.String msgCatalogId

  Deprecated.

### msgCatalog

    protected java.lang.String msgCatalog

  Deprecated.

### msgLocale

    protected java.lang.String msgLocale

  Deprecated.

### msgCatalogType

    protected java.lang.String msgCatalogType

  Deprecated.

### msgCatalogTokens

    protected java.util.ArrayList msgCatalogTokens

  Deprecated.

Constructor Detail

### MsgDataElementImpl

    protected MsgDataElementImpl()

  Deprecated.
  Constructor for MsgDataElementImpl.

Method Detail

### getMsgCatalog

    public java.lang.String getMsgCatalog()

  Deprecated.
  Description copied from interface: `IMsgDataElement`
  Returns the msgCatalog The qualified name of the message catalog that contains the translated message specified by the msgCatalogId. This is an OPTIONAL property. The maximum string length of the msgCatalog MUST not exceed 128 bytes.

  Specified by:
    `getMsgCatalog` in interface `IMsgDataElement`
  Returns:
    String
  See Also:
    `IMsgDataElement.getMsgCatalog()`

### getMsgCatalogId

    public java.lang.String getMsgCatalogId()

  Deprecated.
  Description copied from interface: `IMsgDataElement`
  Returns the msgCatalogId. The index or the identifier for a message that is used for resolving the message text from a message catalog. This is an OPTIONAL property.

  Specified by:
    `getMsgCatalogId` in interface `IMsgDataElement`
  Returns:
    String
  See Also:
    `IMsgDataElement.getMsgCatalogId()`

### getMsgCatalogTokens

    public java.util.List getMsgCatalogTokens()

  Deprecated.
  Description copied from interface: `IMsgDataElement`
  Returns the msgCatalogTokens. An array of IMsgCatalogTokens used as substitution values for resolving a NLS based message into formatted text. The order of the substitution values is implied by the implicit order of the array elements. If there are no substitution values, then it does not need to be specified. This is an OPTIONAL property. The maximum string length of the msgCatalogTokens property MUST not exceed 255 bytes.

  Specified by:
    `getMsgCatalogTokens` in interface `IMsgDataElement`
  Returns:
    List of Message Catalog Tokens, otherwise an empty list.
  See Also:
    `IMsgDataElement.getMsgCatalogTokens()`

### getMsgCatalogTokensAsStrings

    public java.lang.String[] getMsgCatalogTokensAsStrings()

  Deprecated.
  Description copied from interface: `IMsgDataElement`
  Returns the msgCatalogTokens. An array of strings used as substitution values for resolving a NLS based message into formatted text. The order of the substitution values is implied by the implicit order of the array elements. If there are no substitution values, then it does not need to be specified. This is an OPTIONAL property. The maximum string length of the msgCatalogTokens property MUST not exceed 255 bytes.

  Specified by:
    `getMsgCatalogTokensAsStrings` in interface `IMsgDataElement`
  Returns:
    String[]
  See Also:
    `IMsgDataElement.getMsgCatalogTokensAsStrings()`

### clearMsgCatalogTokens

    public void clearMsgCatalogTokens()

  Deprecated.
  Description copied from interface: `IMsgDataElement`
  Removes all IMsgCatalogToken that this event is referencing

  Specified by:
    `clearMsgCatalogTokens` in interface `IMsgDataElement`
  See Also:
    `IMsgDataElement.clearMsgCatalogTokens()`

### getMsgId

    public java.lang.String getMsgId()

  Deprecated.
  Description copied from interface: `IMsgDataElement`
  Returns the msgId. Specifies the message identifier of the event. This identifier is commonly a unique value string of alphanumeric or numeric characters. It can be as simple as a string of numeric characters identifying a message in a message catalog or a multi-part string of alphanumeric characters (e.g., DBT1234E). This is a REQUIRED property. The maximum string length for msgId MUST not exceed 255 bytes.

  Specified by:
    `getMsgId` in interface `IMsgDataElement`
  Returns:
    String
  See Also:
    `IMsgDataElement.getMsgId()`

### getMsgIdType

    public java.lang.String getMsgIdType()

  Deprecated.
  Description copied from interface: `IMsgDataElement`
  Returns the msgIdType. Specifies the meaning and format of the msgId. If the ID conforms to or represents a standard or a well-known convention, it is named by this property. Examples are: IBM3.4, IBM4.4, IBM3.1.4, IBM3.4.1, IBM4.4.1, and IBM3.1.4.1. The current nonexclusive list of reserved keywords include: 1. IBM 2. JMX 3. DottedName 4. Unknown This is a REQUIRED property. The maximum string length for msgId MUST not exceed 32 bytes.

  Specified by:
    `getMsgIdType` in interface `IMsgDataElement`
  Returns:
    String
  See Also:
    `IMsgDataElement.getMsgIdType()`

### getMsgLocale

    public java.lang.String getMsgLocale()

  Deprecated.
  Description copied from interface: `IMsgDataElement`
  Returns the msgLocale. The locale by which this msg property is rendered. Its value is a locale code in conformance with ISO/IEC 639.1 language code and ISO/IEC 3166 country code. This is an OPTIONAL property. The maximum string length of the msgLocale MUST not exceed 5 bytes.

  Specified by:
    `getMsgLocale` in interface `IMsgDataElement`
  Returns:
    String
  See Also:
    `IMsgDataElement.getMsgLocale()`

### getMsgCatalogType

    public java.lang.String getMsgCatalogType()

  Deprecated.
  Description copied from interface: `IMsgDataElement`
  Returns the msgCatalogType.

  Specified by:
    `getMsgCatalogType` in interface `IMsgDataElement`
  Returns:
    String
  See Also:
    `IMsgDataElement.getMsgCatalogType()`

### setMsgCatalog

    public void setMsgCatalog(java.lang.String msgCatalog)

  Deprecated.
  Description copied from interface: `IMsgDataElement`
  Sets the msgCatalog. The qualified name of the message catalog that contains the translated message specified by the msgCatalogId. This is an OPTIONAL property. The maximum string length of the msgCatalog MUST not exceed 128 bytes.

  Specified by:
    `setMsgCatalog` in interface `IMsgDataElement`
  Parameters:
    `msgCatalog` - The msgCatalog to set
  See Also:
    `IMsgDataElement.setMsgCatalog(String)`

### setMsgCatalogId

    public void setMsgCatalogId(java.lang.String msgCatalogId)

  Deprecated.
  Description copied from interface: `IMsgDataElement`
  Sets the msgCatalogId. The index or the identifier for a message that is used for resolving the message text from a message catalog. This is an OPTIONAL property.

  Specified by:
    `setMsgCatalogId` in interface `IMsgDataElement`
  Parameters:
    `msgCatalogId` - The msgCatalogId to set
  See Also:
    `IMsgDataElement.setMsgCatalogId(String)`

### setMsgCatalogTokensAsStrings

    public void setMsgCatalogTokensAsStrings(java.lang.String[] msgCatalogTokenArray)

  Deprecated.
  Description copied from interface: `IMsgDataElement`
  Sets the msgCatalogTokens. An array of strings used as substitution values for resolving a NLS based message into formatted text. The order of the substitution values is implied by the implicit order of the array elements. If there are no substitution values, then it does not need to be specified. This is an OPTIONAL property. The maximum string length of the msgCatalogTokens property MUST not exceed 255 bytes.

  Specified by:
    `setMsgCatalogTokensAsStrings` in interface `IMsgDataElement`
  See Also:
    `IMsgDataElement.setMsgCatalogTokensAsStrings(String[])`

### setMsgCatalogTokens

    public void setMsgCatalogTokens(IMsgCatalogToken[] msgCatalogTokenArray)

  Deprecated.
  Description copied from interface: `IMsgDataElement`
  Sets the msgCatalogTokens. An array of IMsgCatalogTokens used as substitution values for resolving a NLS based message into formatted text. The order of the substitution values is implied by the implicit order of the array elements. If there are no substitution values, then it does not need to be specified. This is an OPTIONAL property. The maximum string length of the msgCatalogTokens property MUST not exceed 255 bytes.

  Specified by:
    `setMsgCatalogTokens` in interface `IMsgDataElement`
  See Also:
    `IMsgDataElement.setMsgCatalogTokens(IMsgCatalogToken[])`

### addMsgCatalogToken

    public void addMsgCatalogToken(IMsgCatalogToken value)

  Deprecated.
  Description copied from interface: `IMsgDataElement`
  Adds a new MsgCatalogToken to this object.

  Specified by:
    `addMsgCatalogToken` in interface `IMsgDataElement`
  See Also:
    `IMsgDataElement.addMsgCatalogToken(org.eclipse.hyades.logging.events.IMsgCatalogToken)`

### addMsgCatalogTokenAsString

    public IMsgCatalogToken addMsgCatalogTokenAsString(java.lang.String value)

  Deprecated.
  Description copied from interface: `IMsgDataElement`
  Adds a new MsgCatalogToken to this object.

  Specified by:
    `addMsgCatalogTokenAsString` in interface `IMsgDataElement`
  See Also:
    `IMsgDataElement.addMsgCatalogTokenAsString(java.lang.String)`

### setMsgId

    public void setMsgId(java.lang.String msgId)

  Deprecated.
  Description copied from interface: `IMsgDataElement`
  Sets the msgId. Specifies the message identifier of the event. This identifier is commonly a unique value string of alphanumeric or numeric characters. It can be as simple as a string of numeric characters identifying a message in a message catalog or a multi-part string of alphanumeric characters (e.g., DBT1234E). This is a REQUIRED property. The maximum string length for msgId MUST not exceed 255 bytes.

  Specified by:
    `setMsgId` in interface `IMsgDataElement`
  Parameters:
    `msgId` - The msgId to set
  See Also:
    `IMsgDataElement.setMsgId(String)`

### setMsgIdType

    public void setMsgIdType(java.lang.String msgIdType)

  Deprecated.
  Description copied from interface: `IMsgDataElement`
  Sets the msgIdType. Specifies the meaning and format of the msgId. If the ID conforms to or represents a standard or a well-known convention, it is named by this property. Examples are: IBM3.4, IBM4.4, IBM3.1.4, IBM3.4.1, IBM4.4.1, and IBM3.1.4.1. The current nonexclusive list of reserved keywords include: 1. IBM 2. JMX 3. DottedName 4. Unknown This is a REQUIRED property. The maximum string length for msgId MUST not exceed 32 bytes.

  Specified by:
    `setMsgIdType` in interface `IMsgDataElement`
  Parameters:
    `msgIdType` - The msgIdType to set
  See Also:
    `IMsgDataElement.setMsgIdType(String)`

### setMsgLocale

    public void setMsgLocale(java.lang.String msgLocale)

  Deprecated.
  Description copied from interface: `IMsgDataElement`
  Sets the msgLocale. The locale by which this msg property is rendered. Its value is a locale code in conformance with ISO/IEC 639.1 language code and ISO/IEC 3166 country code. This is an OPTIONAL property. The maximum string length of the msgLocale MUST not exceed 5 bytes.

  Specified by:
    `setMsgLocale` in interface `IMsgDataElement`
  Parameters:
    `msgLocale` - The msgLocale to set
  See Also:
    `IMsgDataElement.setMsgLocale(String)`

### setMsgCatalogType

    public void setMsgCatalogType(java.lang.String msgCatalogType)

  Deprecated.
  Description copied from interface: `IMsgDataElement`
  Sets the msgCatalogType.

  Specified by:
    `setMsgCatalogType` in interface `IMsgDataElement`
  Parameters:
    `msgCatalogType` - The msgCatalogType to set
  See Also:
    `IMsgDataElement.setMsgCatalogType(String)`

### init

    public void init()

  Deprecated.
  Resets the object's properties to their initial (e.g. null) state.

  Specified by:
    `init` in interface `IMsgDataElement`
  See Also:
    `IMsgDataElement.init()`

### equals

    public boolean equals(java.lang.Object obj)

  Deprecated.
  Determines is two different objects are equal.

  Overrides:
    `equals` in class `java.lang.Object`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Deprecated.
  return a cloned (copy by value) object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Object
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD